*{
    margin: 0;
    padding: 0;
    font-family: "Inter";
    overflow: none;
}

@property --fill-level {
  syntax: '<percentage>';
  inherits: false;
  initial-value: 0%;
}

body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

header{
    width: 100vw;
    height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

h1{
    font-size: 2.5rem;
    font-weight: 800;
}

section{
    width: 80vw;
    height: 70vh;
    display: flex;
    /* padding: 0 5rem; */

    
}

section > div{
    width: 12vw;
    height: 8vw;
    margin-right: 2rem;
    border-radius: 1rem;
    background-color: #DCDCDC;
    box-shadow: 0px 0px 10px 0px #DCDCDC;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    font-family: "Inter";
    font-weight: 800;
    font-size: 2rem;
    padding: 2rem;
    transition: 300ms ease;
}

section div:hover{

    box-shadow: 0px 0px 40px 0px #DCDCDC;
}

h2{
    font-family: "Inter";
    font-weight: 800;
    font-size: 2rem;
    width: fit-content;
    background: linear-gradient(
        to right,
        #3498db var(--fill-level, 0%),
        #fff var(--fill-level, 0%)
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: --fill-level 0.8s ease;
}



@media (orientation: portrait){
    
    section{
        flex-direction: column;
        /* background-color: black; */
        align-items: center
        
    }

    section > div{
        width: 50vw;
        height: 2vw;
        margin-bottom: 2rem;
        font-size: 1.5rem;
        margin-right: 0;
    }

    h2{
        font-size: 1.5rem;
    }

}